magic_comment Struct Reference

## Data Fields

const char * | name
rb_magic_comment_setter_t | func
rb_magic_comment_length_t | length

## Detailed Description

Definition at line 12690 of file ripper.c.

## Field Documentation

rb_magic_comment_setter_t magic_comment::func

Definition at line 12692 of file ripper.c.

Referenced by parser_magic_comment().

rb_magic_comment_length_t magic_comment::length

Definition at line 12693 of file ripper.c.

Referenced by parser_magic_comment().

const char * magic_comment::name

Definition at line 12691 of file ripper.c.

Referenced by parser_magic_comment().

The documentation for this struct was generated from the following files:

- ext/ripper/ripper.c
- parse.c